org.richfaces.renderkit

## Class CalendarRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.CalendarRendererBase

- All Implemented Interfaces:
    org.richfaces.ui.common.meta.MetaComponentRenderer
  Direct Known Subclasses:
    CalendarRenderer

      public class CalendarRendererBase
      extends InputRendererBase
      implements org.richfaces.ui.common.meta.MetaComponentRenderer

  Author:
    amarkhel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CALENDAR_BUNDLE`
    `static String` | `CALENDAR_DISABLE_ICON_RESOURCE_NAME`
    `static String` | `CALENDAR_ICON_RESOURCE_NAME`
    `protected static Map<String,org.richfaces.ui.common.ComponentAttribute>` | `CALENDAR_INPUT_HANDLER_ATTRIBUTES`
    `protected org.richfaces.component.util.InputUtils.ConverterLookupStrategy` | `calendarConverterLookupStrategy`
    `static String` | `CURRENT_DATE_INPUT`
    `static String` | `FIRST_DAY_WEEK`
    `static String` | `MIN_DAYS_IN_FIRST_WEEK`
    `static String` | `MONTH_LABELS`
    `static String` | `MONTH_LABELS_SHORT`
    `static String` | `OPTION_DISABLED`
    `static String` | `OPTION_MIN_DAYS_IN_FIRST_WEEK`
    `static String` | `WEEK_DAY_LABELS`
    `static String` | `WEEK_DAY_LABELS_SHORT`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.convert.Converter` | `createDefaultConverter(javax.faces.context.FacesContext facesContext)`
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `static Object` | `formatDate(Date date)`
    `static Object` | `formatSelectedDate(TimeZone timeZone, Date date)`
    `Locale` | `getAsLocale(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getBoundaryDatesModeOrDefault(javax.faces.component.UIComponent component)`
    `String` | `getButtonIcon(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getCollectedLabels(ResourceBundle[] bundles, String[] names)`
    `Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object submittedValue)`
    `Object` | `getCurrentDate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getCurrentDateAsString(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getDayCellClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `org.richfaces.javascript.JSReference` | `getDayEnabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `org.richfaces.javascript.JSReference` | `getDayStyleClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getDirection(javax.faces.component.UIComponent component)`
    `String` | `getInputValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getJointPoint(javax.faces.component.UIComponent component)`
    `Map<String,Object>` | `getLabels(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getLocaleOptions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected AbstractCalendar.Mode` | `getModeOrDefault(javax.faces.component.UIComponent component)`
    `String` | `getPopupStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `Map<String,Object>` | `getPreparedDefaultTime(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `Object` | `getSelectedDate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getTodayControlModeOrDefault(javax.faces.component.UIComponent component)`
    `boolean` | `isUseIcons(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `renderInputHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected javax.faces.convert.Converter` | `setupConverter(javax.faces.context.FacesContext facesContext, javax.faces.convert.Converter converter, AbstractCalendar calendar)`
    `String` | `writePreloadBody(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALENDAR_BUNDLE

          public static final String CALENDAR_BUNDLE

      See Also:
        Constant Field Values

    - #### OPTION_DISABLED

          public static final String OPTION_DISABLED

      See Also:
        Constant Field Values

    - #### OPTION_MIN_DAYS_IN_FIRST_WEEK

          public static final String OPTION_MIN_DAYS_IN_FIRST_WEEK

      See Also:
        Constant Field Values

    - #### MONTH_LABELS_SHORT

          public static final String MONTH_LABELS_SHORT

      See Also:
        Constant Field Values

    - #### MONTH_LABELS

          public static final String MONTH_LABELS

      See Also:
        Constant Field Values

    - #### WEEK_DAY_LABELS_SHORT

          public static final String WEEK_DAY_LABELS_SHORT

      See Also:
        Constant Field Values

    - #### WEEK_DAY_LABELS

          public static final String WEEK_DAY_LABELS

      See Also:
        Constant Field Values

    - #### FIRST_DAY_WEEK

          public static final String FIRST_DAY_WEEK

      See Also:
        Constant Field Values

    - #### MIN_DAYS_IN_FIRST_WEEK

          public static final String MIN_DAYS_IN_FIRST_WEEK

      See Also:
        Constant Field Values

    - #### CALENDAR_ICON_RESOURCE_NAME

          public static final String CALENDAR_ICON_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### CALENDAR_DISABLE_ICON_RESOURCE_NAME

          public static final String CALENDAR_DISABLE_ICON_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### CURRENT_DATE_INPUT

          public static final String CURRENT_DATE_INPUT

      See Also:
        Constant Field Values

    - #### CALENDAR_INPUT_HANDLER_ATTRIBUTES

          protected static final Map<String,org.richfaces.ui.common.ComponentAttribute> CALENDAR_INPUT_HANDLER_ATTRIBUTES

    - #### calendarConverterLookupStrategy

          protected final org.richfaces.component.util.InputUtils.ConverterLookupStrategy calendarConverterLookupStrategy

  - ### Constructor Detail

    - #### CalendarRendererBase

          public CalendarRendererBase()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `InputRendererBase`

    - #### renderInputHandlers

          public void renderInputHandlers(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)
                                   throws IOException

      Throws:
        `IOException`

    - #### getConvertedValue

          public Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object submittedValue)
                                   throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `InputRendererBase`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### getInputValue

          public String getInputValue(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)

      Overrides:
        `getInputValue` in class `InputRendererBase`

    - #### getButtonIcon

          public String getButtonIcon(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)

    - #### getSelectedDate

          public Object getSelectedDate(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                                 throws IOException

      Throws:
        `IOException`

    - #### formatSelectedDate

          public static Object formatSelectedDate(TimeZone timeZone,
                                  Date date)

    - #### getCurrentDate

          public Object getCurrentDate(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Throws:
        `IOException`

    - #### getCurrentDateAsString

          public String getCurrentDateAsString(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)
                                        throws IOException

      Throws:
        `IOException`

    - #### formatDate

          public static Object formatDate(Date date)

    - #### getDayCellClass

          public String getDayCellClass(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)

    - #### getDayEnabled

          public org.richfaces.javascript.JSReference getDayEnabled(javax.faces.context.FacesContext facesContext,
                                                           javax.faces.component.UIComponent component)

    - #### getDayStyleClass

          public org.richfaces.javascript.JSReference getDayStyleClass(javax.faces.context.FacesContext context,
                                                              javax.faces.component.UIComponent component)

    - #### getLabels

          public Map<String,Object> getLabels(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)

    - #### getCollectedLabels

          protected Map<String,Object> getCollectedLabels(ResourceBundle[] bundles,
                                              String[] names)

    - #### getPreparedDefaultTime

          public Map<String,Object> getPreparedDefaultTime(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component)

    - #### getLocaleOptions

          protected Map<String,Object> getLocaleOptions(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component)

    - #### getPopupStyle

          public String getPopupStyle(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)

    - #### getAsLocale

          public Locale getAsLocale(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)

    - #### writePreloadBody

          public String writePreloadBody(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### isUseIcons

          public boolean isUseIcons(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)

    - #### createDefaultConverter

          protected javax.faces.convert.Converter createDefaultConverter(javax.faces.context.FacesContext facesContext)

    - #### setupConverter

          protected javax.faces.convert.Converter setupConverter(javax.faces.context.FacesContext facesContext,
                                                     javax.faces.convert.Converter converter,
                                                     AbstractCalendar calendar)

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`
      Throws:
        `IOException`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`

    - #### getTodayControlModeOrDefault

          protected String getTodayControlModeOrDefault(javax.faces.component.UIComponent component)

    - #### getJointPoint

          protected String getJointPoint(javax.faces.component.UIComponent component)

    - #### getDirection

          protected String getDirection(javax.faces.component.UIComponent component)

    - #### getBoundaryDatesModeOrDefault

          protected String getBoundaryDatesModeOrDefault(javax.faces.component.UIComponent component)

    - #### getModeOrDefault

          protected AbstractCalendar.Mode getModeOrDefault(javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All rights reserved.